<template>
  <IonVuePage :title="'Marcels awesome list'" :showBackButton="false">
    <ion-list>
      <ion-item v-for="(link, i) in buckets" :key="i">
        <ion-avatar slot="start">
          <img src="../images/avatar.png">
        </ion-avatar>
        <ion-label>
          <h2><router-link :to="'/item/' + link.id">{{ link.title }}</router-link></h2>
          <p>{{ link.subtitle }}</p>
        </ion-label>
      </ion-item>
    </ion-list>
  </IonVuePage>
</template>

<script>
export default {
  data() {
    return {
      buckets: [
        {
          title: 'Bucket 1',
          subtitle: 'This thing is awesome',
          id: 1,
        },
        {
          title: 'Bucket 2',
          subtitle: 'This thing is awesome',
          id: 2,
        },
        {
          title: 'Bucket 3',
          subtitle: 'This thing is awesome',
          id: 3,
        },
      ],
    }
  }
}
</script>
